%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Language recognition library
Name:		belr
Version:	4.4.21
Release:	%mkrel 1
License:	GPLv3
Group:		System/Libraries
URL:		https://linphone.org/
Source0:	https://github.com/BelledonneCommunications/belr/archive/%{version}/%{name}-%{version}.tar.xz
# (wally) from OpenSUSE to install pkgconfig .pc file
Patch0:		belr-fix-pkgconfig.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(bctoolbox) >= %{version}

%description
Belr aims at parsing any input formatted according to a language defined by
an ABNF grammar, such as the protocols standardised at IETF.

%package -n	%{libname}
Summary:	Language recognition library
Group:		System/Libraries

%description -n	%{libname}
Belr aims at parsing any input formatted according to a language defined by
an ABNF grammar, such as the protocols standardised at IETF.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}

%prep
%setup -q
sed -i -e 's,\r$,,' CMakeLists.txt
%apply_patches

# Fix version
sed -i -e '/BELR/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO \
  -DENABLE_TESTS:BOOL=NO
%cmake_build

%install
%cmake_install

find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/belr-parse
%{_bindir}/belr-compiler

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/belr/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Jan 02 2021 tex - 4.4.21-1pclos2021
- new version 4.4.21
